GestionErreurs

## Class BDDException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - GestionErreurs.BDDException

- All Implemented Interfaces:
    java.io.Serializable

      public class BDDException
      extends java.lang.Exception

  Exeption lancée lors d'une erreur résultant d'une erreur SQL renvoyée par la base de données.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BDDException(java.lang.String message)` Constructeur de l'exeption.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BDDException

          public BDDException(java.lang.String message)

      Constructeur de l'exeption.
      Parameters:
        `message` - Message décrivant l'erreur.